Solid Edge Part Type Library
ShowMeshOnClose Method
Description
Show mesh on closing mesh dialog.
Syntax
Visual Basic
Public Sub ShowMeshOnClose( _
   ByVal bShowMeshOnClose As Long _
) 
Parameters
bShowMeshOnClose
Example
Private Sub ShowMeshOnClose_Click(sender As Object, e As EventArgs) Handles ShowMeshOnClose.Click
    Dim objApplication As SolidEdgeFramework.Application = Nothing
    Dim objDocument As SolidEdgePart.PartDocument = Nothing
    Dim objPartDoc As SolidEdgePart.PartDocument = Nothing
    Dim objModel As SolidEdgePart.Model = Nothing

    Dim objStudyOwner As SolidEdgePart.StudyOwner = Nothing
    Dim objStudy As SolidEdgePart.Study = Nothing
    Dim bShowMesh As Boolean = True

    Try
        ' Get Application Object.
        objApplication = Marshal.GetActiveObject("SolidEdge.Application")
        objDocument = objApplication.ActiveDocument
        objStudyOwner = objDocument.StudyOwner
        objStudy = objStudyOwner.Item(1)
        objStudy.ShowMeshOnClose(bShowMesh)
    Catch ex As Exception
        MsgBox(ex.ToString)
    End Try
End Sub
See Also

Study Object  | Study Members